<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="robots" content="index, follow" />
    <meta name="generator" content="{{ eleventy.generator }}">
    <title>{% block title %}{{ site.name }} | AI Audit Platform{% endblock title %}</title>
    <link rel="icon" type="image/png" href="{{ '/static/img/favicon.png' | url }}" />
    <link rel="canonical" href="{{ site.url }}{{ page.url | url }}" />
    <link href="{{ '/static/css/style.css' | url }}" rel="stylesheet" />
    <link href="{{ '/static/css/syntax.css' | url }}" rel="stylesheet" />
    {% for author in authors -%}
    <meta name="author" content="{{ profiles[author].name }}" />
    {% endfor -%}
    {% if description -%}
    <meta name="description" content="{{ description }}" />
    {% endif -%}
    <meta property="og:site_name" content="{{ site.name }}" />
    <meta property="og:title" content="{{ title }}" />
    <meta property="og:url" content="{{ site.url }}{{ page.url | url }}" />
    {% if date -%}
    <meta property="og:article:published_time" content="{{ date | date: '%Y-%m-%d' }}" />
    {% endif -%}
    {% for tag in tags offset:1 -%}{%-# remove the 'posts' tag #-%}
    <meta property="og:article:tag" content="{{ tag }}" />
    {% endfor -%}
    {%- if image -%}
    <meta property="og:image" content="{{ image }}" />
    {%- else -%}
    <meta property="og:image" content="{{ '/static/img/logo.svg' | url }}" />
    {% endif -%}
    {% block extra_meta -%}
    {% endblock extra_meta -%}
  </head>
  <body class="flex flex-col min-h-screen">
    <header class="container max-w-screen-xl mx-auto mt-4 px-4">
      <nav class="border-gray-200 border-b-2 pb-4">
        <div class="flex flex-wrap items-center justify-between mx-auto">
          <a
            href="{{ '/' | url }}"
            class="flex items-center space-x-3"
          >
            <img src="{{ '/static/img/logo.svg' | url }}" class="h-8" alt="" />
            <span class="text-2xl font-semibold whitespace-nowrap">{{ site.name }}</span>
          </a>
          <button data-collapse-toggle="navbar-hamburger" type="button" class="block md:hidden inline-flex items-center justify-center p-2 w-10 h-10 text-sm text-gray-500 rounded-lg hover:bg-gray-100 focus:outline-none focus:ring-2 focus:ring-gray-200 dark:text-gray-400 dark:hover:bg-gray-700 dark:focus:ring-gray-600" aria-controls="navbar-hamburger" aria-expanded="false">
            <span class="sr-only">Open main menu</span>
            <svg class="w-5 h-5" aria-hidden="true" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 17 14">
                <path stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M1 1h15M1 7h15M1 13h15"/>
            </svg>
          </button>
          <div class="hidden w-full md:block md:w-auto" id="navbar-hamburger">
            <ul
              class="font-medium flex flex-col p-4 md:p-0 mt-4 border border-gray-100 rounded-lg bg-gray-50 md:flex-row md:space-x-8 md:mt-0 md:border-0 md:bg-white"
            >
              {% include 'navitem.html', link: '/' , exact: '/', text: 'Home' -%}
              {% include 'navitem.html', link: '/blog/', prefix: '/blog', text: 'Blog' -%}
              {% include 'navitem.html', link: 'https://docs.dyff.io', text: 'Docs' -%}
              {% include 'navitem.html', link: 'https://gitlab.com/dyff#dyff-ai-auditing-platform', text: 'Code' -%}
            </ul>
          </div>
        </div>
      </nav>
    </header>
    {% block page_main %} {{ content }} {% endblock page_main %}
    <footer class="w-full px-4 py-8 bg-ul-dark-blue mt-auto">
      <div class="flex flex-col md:flex-row md:justify-center items-center">
        <a class="md:mr-12 mb-4 md:mb-0" href="https://dsri.org">
          <img class="h-16" src="{{ '/static/img/dsri.svg' | url }}" />
        </a>
        <p class="text-white leading-relaxed text-center md:text-left">
          A <a class="underline" href="https://dsri.org">Digital Safety Research Institute</a> project.<br/>
          Copyright &copy; 2023-2024 <a class="underline" href="https://ul.org">UL Research Institutes</a>.
        </p>
      </div>
    </footer>
    <script src="{{ '/static/js/flowbite.js' | url }}"></script>
  </body>
</html>
